[scorched3d] 01/03: add repack helper from https://wiki.debian.org/BenFinney/software/repack

Phil Morrell emorrp1-guest at moszumanska.debian.org
Sun Feb 28 14:34:31 UTC 2016


This is an automated email from the git hooks/post-receive script.

emorrp1-guest pushed a commit to branch repack_uscan
in repository scorched3d.

commit cdb63ce2360d190c8fd02f916a0a6b8da12c70bb
Author: Phil Morrell <debian at emorrp1.name>
Date:   Sun Feb 28 14:01:29 2016 +0000

    add repack helper from https://wiki.debian.org/BenFinney/software/repack
---
 debian/repack                    | 113 +++++++++++++++++++++++++++++++++++++++
 debian/source_package_build.bash |  70 ++++++++++++++++++++++++
 2 files changed, 183 insertions(+)

diff --git a/debian/repack b/debian/repack
new file mode 100755
index 0000000..7111bbb
--- /dev/null
+++ b/debian/repack
@@ -0,0 +1,113 @@
+#! /bin/bash
+#
+# debian/repack
+# Part of the Debian package ‘libjs-zxcvbn’.
+#
+# Copyright © 2013–2014 Ben Finney <ben+debian at benfinney.id.au>
+# This is free software; see the end of this file for license terms.
+
+# Convert the pristine upstream source to the Debian upstream source.
+#
+# This program is designed for use with the ‘uscan(1)’ tool, as the
+# “action” parameter for the ‘debian/watch’ configuration file.
+
+set -o errexit
+set -o errtrace
+set -o pipefail
+set -o nounset
+
+program_dir="$(dirname "$(realpath --strip "$0")")"
+source "${program_dir}"/source_package_build.bash
+
+function usage() {
+    local progname=$(basename $0)
+    printf "$progname --upstream-version VERSION FILENAME\n"
+}
+
+if [ $# -ne 3 ] ; then
+    usage
+    exit 1
+fi
+
+upstream_version="$2"
+downloaded_file="$3"
+
+target_filename="${upstream_tarball_basename}.tar.gz"
+target_working_file="${working_dir}/${target_filename}"
+target_file="$(dirname "${downloaded_file}")/${target_filename}"
+
+repack_dir="${working_dir}/${upstream_dirname}"
+
+printf "Unpacking pristine upstream source ‘${downloaded_file}’:\n"
+
+extract_tarball_to_working_dir "${downloaded_file}"
+
+upstream_source_dirname=$(ls -1 "${working_dir}")
+upstream_source_dir="${working_dir}/${upstream_source_dirname}"
+
+printf "Repackaging upstream source from ‘${upstream_source_dir}’ to ‘${repack_dir}’:\n"
+
+mv "${upstream_source_dir}" "${repack_dir}"
+
+printf "Removing non-DFSG-free files:\n"
+
+nonfree_fileglobs=(
+        # Third-party compiler in non-source form, and related files.
+        NOTICE.txt
+        tools/closure.jar
+        tools/COPYING.txt
+
+        # Auto-generated files are non-source form.
+        adjacency_graphs.js
+        frequency_lists.js
+
+        # Compiled files are non-source form.
+        zxcvbn.js
+        zxcvbn-async.js
+
+        # Cached downloaded third-party data files.
+        data/tv_and_movie_freqlist*.html
+        )
+
+for fileglob in "${nonfree_fileglobs[@]}" ; do
+    rm -v "${repack_dir}"/$fileglob
+done
+
+printf "Rebuilding DFSG-free upstream source tarball:\n"
+
+archive_working_dirname_to_tarball "${upstream_dirname}" "${target_working_file}"
+
+printf "Moving completed upstream tarball to ‘${target_file}’:\n"
+
+rm -v "${downloaded_file}"
+mv "${target_working_file}" "${target_file}"
+
+printf "Done.\n"
+
+
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# “Software”), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to
+# permit persons to whom the Software is furnished to do so, subject to
+# the following conditions:
+# 
+# The above copyright notice and this permission notice shall be included
+# in all copies or substantial portions of the Software.
+# 
+# The Software is provided “as is”, without warranty of any kind,
+# express or implied, including but not limited to the warranties of
+# merchantability, fitness for a particular purpose and noninfringement.
+# In no event shall the authors or copyright holders be liable for any
+# claim, damages or other liability, whether in an action of contract,
+# tort or otherwise, arising from, out of or in connection with the
+# Software or the use or other dealings in the Software.
+
+
+# Local variables:
+# coding: utf-8
+# mode: sh
+# indent-tabs-mode: nil
+# End:
+# vim: fileencoding=utf-8 filetype=bash :
diff --git a/debian/source_package_build.bash b/debian/source_package_build.bash
new file mode 100644
index 0000000..520d4ee
--- /dev/null
+++ b/debian/source_package_build.bash
@@ -0,0 +1,70 @@
+# debian/source_package_build.bash
+# Part of the Debian package ‘libjs-zxcvbn’.
+#
+# Copyright © 2013–2014 Ben Finney <ben+debian at benfinney.id.au>
+# This is free software; see the end of this file for license terms.
+
+# Common code for building Debian upstream source package.
+
+working_dir="$(mktemp -d -t)"
+
+exit_sigspecs="ERR EXIT SIGTERM SIGHUP SIGINT SIGQUIT"
+
+function cleanup_exit() {
+    exit_status=$?
+    trap - $exit_sigspecs
+
+    rm -rf "${working_dir}"
+    printf "Cleaned up working directory ‘${working_dir}’\n"
+
+    exit $exit_status
+}
+trap cleanup_exit $exit_sigspecs
+
+package_name=$(dpkg-parsechangelog --show-field=Source)
+release_version=$(dpkg-parsechangelog --show-field=Version)
+upstream_version=$(printf "${release_version}" \
+        | sed -e 's/^[[:digit:]]\+://' -e 's/[-][^-]\+$//')
+upstream_dirname="${package_name}-${upstream_version}.orig"
+upstream_tarball_basename="${package_name}_${upstream_version}.orig"
+
+function extract_tarball_to_working_dir() {
+    # Extract the specified tarball to the program's working directory.
+    local tarball="$1"
+    tar -xzf "${tarball}" --directory "${working_dir}"
+}
+
+function archive_working_dirname_to_tarball() {
+    # Archive the specified directory, relative to the working directory,
+    # to a new tarball of the specified name.
+    local source_dirname="$1"
+    local tarball="$2"
+    GZIP="--best" tar --directory "${working_dir}" -czf "${tarball}" "${source_dirname}"
+}
+
+
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# “Software”), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to
+# permit persons to whom the Software is furnished to do so, subject to
+# the following conditions:
+# 
+# The above copyright notice and this permission notice shall be included
+# in all copies or substantial portions of the Software.
+# 
+# The Software is provided “as is”, without warranty of any kind,
+# express or implied, including but not limited to the warranties of
+# merchantability, fitness for a particular purpose and noninfringement.
+# In no event shall the authors or copyright holders be liable for any
+# claim, damages or other liability, whether in an action of contract,
+# tort or otherwise, arising from, out of or in connection with the
+# Software or the use or other dealings in the Software.
+
+
+# Local variables:
+# coding: utf-8
+# mode: sh
+# End:
+# vim: fileencoding=utf-8 filetype=bash :

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-games/scorched3d.git



More information about the Pkg-games-commits mailing list